> For the complete documentation index, see [llms.txt](https://docs.bcbi.brown.edu/codiac-for-health/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bcbi.brown.edu/codiac-for-health/computing/julia/juliastats.md).

# JuliaStats

JuliaStats contains basic statistics functionality, which can be used as the foundation for  statistics, machine learning, and data science needs. It is efficient, scalable, and reusable!

## Installation & Setup

JuliaStats is not a single package, but rather a suite of packages. Specific packages can be downloaded depending on your needs.

To begin, import the package manager and initialize your desired package with the following code.

```julia
import Pkg
Pkg.add(*package name*)

using *package name*
```

For example, if you wanted to download the `StatsBase` package, use the following code.

```julia
import Pkg
Pkg.add("StatsBase")

using StatsBase
```

## Commonly Used Packages

| Package                | Use                                                                        |
| ---------------------- | -------------------------------------------------------------------------- |
| `StatsBase.jl`         | Basic statistics, weights, sampling, counts, and summary statistics.       |
| `Distributions.jl`     | Probability distributions and related functions (PDF, CDF, sampling, etc). |
| `StatsModel.jl`        | Statistical model formulas                                                 |
| `GLM.jl`               | Generalized linear models (e.g., linear regression, logistic regression).  |
| `MixedModels.jl`       | Linear and generalized linear mixed-effects models.                        |
| `HypothesisTest.jl`    | Statistical hypothesis tests (t-tests, chi-squared, ANOVA, etc).           |
| `MultivariateStats.jl` | Multivariate analysis (PCA, factor analysis, ICA, etc).                    |

Please refer to each package's documentation for a list of available functions and their usage.&#x20;

## Example

```julia
# Using StatsBase
data = ..
mean_val = mean(data)
var_val = var(data)

# Using Distributions
pdf_val = pdf(Normal(0,1), 1)

# Using GLM
df = DataFrame(..)
model = lm(@formula(y ~ x), df)
```

## Resources

* [JuliaStats](https://github.com/JuliaStats)
* [StatsModels](https://juliastats.org/StatsModels.jl/stable/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bcbi.brown.edu/codiac-for-health/computing/julia/juliastats.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
